/*
31.1.22: This reads the Grove Rotary Angle Sensor (Potentiometer) BL0655 
*/

// Global variables
float potread = 0; // Seems to need to be float to allow division by 1023 later even though an integer can resolve more than 1024 values 
float volts = 0; 

// the setup routine runs once when you press reset:
void setup() {

  // initialize serial communication at 115 200 bits per second:
    Serial.begin(115200);
  
  // make sure the analogue pin is input w/o internal pullup active
  pinMode(A0, INPUT);
  
}

// the loop routine runs over and over again forever:
void loop() {
  // read the analog input:
  potread=analogRead(A0); 
  // print out the value of the analogue input in ADC resolution (0 - 1023)
  Serial.print("ADC = ");
  Serial.print(potread);
  Serial.print("  V = "); 
  volts = 5*potread/1023; // Converts from 10 bit ADC steps to voltage given Vref = 5 V 
  Serial.println(volts);

  delay(100);        // delay in between reads for stability
}
